Table of Contents

Class: state_record | ../bkchem/undo.py
--- | ---
class able to store state of the whole system and then set the system back to that stored state
Methods |
--- | ---
__init__ clean record_object record_state set_state undo
| __init__
    __init__ (
            self,
            paper,
            name='',
            )
hmmm, what is supposed to be in comment for __init__?
| clean
    clean ( self )
| record_object
    record_object ( self,  o )
| record_state
    record_state ( self )
stores all necessary information about the system, so that its than able to fully recover that state.
| set_state
    set_state ( self,  previous )
sets the system to the recorded state (update is done only where necessary, not changed values are not touched).
| undo
    undo ( self,  previous )
does undo, actually only calls self.set_state

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1